package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsDisinfect;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0消毒登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
public interface IJsDisinfectService extends IService<JsDisinfect> {

    AjaxResult add(JsDisinfect disinfect);

    AjaxResult edit(JsDisinfect disinfect);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String disinfectLocation);

    AjaxResult listAll();
}
